Bug 1010271 - please apply several upstream bugfixes to our golang package
please apply several upstream bugfixes to our golang package
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: golang (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Miller
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1000662
  Show dependency treegraph
 
Reported: 2013-09-20 08:18 EDT by Matthew Miller
Modified: 2013-10-08 13:45 EDT (History)
6 users (show)

See Also:
Fixed In Version: golang-1.1.2-4.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-28 21:41:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
archive/tar: Fix support for long links and improve PAX support. (15.12 KB, patch)
2013-09-20 08:22 EDT, Matthew Miller
no flags Details | Diff
archive/tar: fix a case where USTAR-split is not working correctly. (2.03 KB, patch)
2013-09-20 08:23 EDT, Matthew Miller
no flags Details | Diff

  None (edit)
Description Matthew Miller 2013-09-20 08:18:55 EDT
In order to package Docker, we need two patches to the tar library shipped with Go. The Docker.io team is maintaining a temporary fork, but the patches are actually upstream in Go 1.2. We don't know the timeline for that, though, and so would like these backported to our current package. (This will avoid the need to apply for a bundling exception.)

The two issues are:

* archive/tar: Fix support for long links and improve PAX support.
  https://code.google.com/p/go/source/detail?r=0c7e4c45acf8

* archive/tar: fix a case where USTAR-split is not working correctly.
  https://code.google.com/p/go/source/detail?r=0d1b5f2ba0eb
Comment 1 Matthew Miller 2013-09-20 08:22:56 EDT
Created attachment 800477 [details]
archive/tar: Fix support for long links and improve PAX support.
Comment 2 Matthew Miller 2013-09-20 08:23:44 EDT
Created attachment 800478 [details]
archive/tar: fix a case where USTAR-split is not working correctly.
Comment 3 Fedora Update System 2013-09-20 11:28:52 EDT
golang-1.1.2-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-1.1.2-4.fc19
Comment 4 Fedora Update System 2013-09-20 11:29:02 EDT
golang-1.1.2-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-1.1.2-3.fc20
Comment 5 Fedora Update System 2013-09-20 11:29:11 EDT
golang-1.1.2-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-1.1.2-4.el6
Comment 6 Fedora Update System 2013-09-20 14:56:03 EDT
Package golang-1.1.2-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing golang-1.1.2-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17248/golang-1.1.2-3.fc20
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-09-28 21:41:02 EDT
golang-1.1.2-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-10-08 07:26:41 EDT
golang-1.1.2-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-10-08 13:45:37 EDT
golang-1.1.2-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.